//Transport parameters
*#
*If(MatProp(Activate_Temperature,Int)==1)

//Activated_Temperature
TEMPERATURE 
*If(MatProp(Activate_Concrete_Model_CERHYD,Int)==1)
K_TEMP_TEMP *MatProp(K_TEMP_TEMP_LEVEL7,real) 
C_TEMP_TEMP *MatProp(C_TEMP_TEMP_LEVEL7,real)
*Else
K_TEMP_TEMP *MatProp(K_TEMP_TEMP_NORMAL,real) 
C_TEMP_TEMP *MatProp(C_TEMP_TEMP_NORMAL,real)
*EndIf
*#
*If(MatProp(Activate_Temperature_Advanced,Int)==1)

//Activated_Temperature_Advanced
K_TEMP_H *MatProp(K_TEMP_H,real) 
K_TEMP_W *MatProp(K_TEMP_W,real)                                      
K_TEMP_GRAV *MatProp(K_TEMP_GRAV,real)
C_TEMP_H *MatProp(C_TEMP_H,real) 
C_TEMP_W *MatProp(C_TEMP_W,real)
C_TEMP_T *MatProp(C_TEMP_T,real)
*#
*If(MatProp(Activate_Temperature_Variable_Values,Int)==1)

//Activated_Temperature_Variable_Values
*If(MatProp(Activate_K_TEMP_H_FNC_TEMP,int)==1)
K_TEMP_H_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+201)
*EndIf
*If(MatProp(Activate_K_TEMP_H_FNC_H,int)==1)
K_TEMP_H_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+202)
*EndIf
*If(MatProp(Activate_K_TEMP_H_FNC_T,int)==1)
K_TEMP_H_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+203)
*EndIf
*#
*If(MatProp(Activate_K_TEMP_TEMP_FNC_TEMP,int)==1)
K_TEMP_TEMP_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+204)
*EndIf
*If(MatProp(Activate_K_TEMP_TEMP_FNC_H,int)==1)
K_TEMP_TEMP_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+205)
*EndIf
*If(MatProp(Activate_K_TEMP_TEMP_FNC_T,int)==1)
K_TEMP_TEMP_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+206)
*EndIf
*#
*If(MatProp(Activate_K_TEMP_W_FNC_TEMP,int)==1)
K_TEMP_W_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+207)
*EndIf
*If(MatProp(Activate_K_TEMP_W_FNC_H,int)==1)
K_TEMP_W_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+208)
*EndIf
*If(MatProp(Activate_K_TEMP_W_FNC_T,int)==1)
K_TEMP_W_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+209)
*EndIf
*#
*If(MatProp(Activate_K_TEMP_GRAV_FNC_TEMP,int)==1)
K_TEMP_GRAV_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+210)
*EndIf
*If(MatProp(Activate_K_TEMP_GRAV_FNC_H,int)==1)
K_TEMP_GRAV_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+211)
*EndIf
*If(MatProp(Activate_K_TEMP_GRAV_FNC_T,int)==1)
K_TEMP_GRAV_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+212)
*EndIf
*#
*#
*If(MatProp(Activate_C_TEMP_H_FNC_TEMP,int)==1)
C_TEMP_H_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+213)
*EndIf
*If(MatProp(Activate_C_TEMP_H_FNC_H,int)==1)
C_TEMP_H_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+214)
*EndIf
*If(MatProp(Activate_C_TEMP_H_FNC_T,int)==1)
C_TEMP_H_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+215)
*EndIf
*#
*If(MatProp(Activate_C_TEMP_TEMP_FNC_TEMP,int)==1)
C_TEMP_TEMP_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+216)
*EndIf
*If(MatProp(Activate_C_TEMP_TEMP_FNC_H,int)==1)
C_TEMP_TEMP_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+217)
*EndIf
*If(MatProp(Activate_C_TEMP_TEMP_FNC_T,int)==1)
C_TEMP_TEMP_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+218)
*EndIf
*#
*If(MatProp(Activate_C_TEMP_W_FNC_TEMP,int)==1)
C_TEMP_W_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+219)
*EndIf
*If(MatProp(Activate_C_TEMP_W_FNC_H,int)==1)
C_TEMP_W_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+220)
*EndIf
*If(MatProp(Activate_C_TEMP_W_FNC_T,int)==1)
C_TEMP_W_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+221)
*EndIf
*#
*If(MatProp(Activate_C_TEMP_T_FNC_TEMP,int)==1)
C_TEMP_T_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+222)
*EndIf
*If(MatProp(Activate_C_TEMP_T_FNC_H,int)==1)
C_TEMP_T_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+223)
*EndIf
*If(MatProp(Activate_C_TEMP_T_FNC_T,int)==1)
C_TEMP_T_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+224)
*EndIf

*EndIf
*EndIf
*EndIf

*If(MatProp(Activate_Moisture,Int)==1)

//Activated_Moisture
WATER 
*If(MatProp(Activate_Concrete_Model_CERHYD,Int)==1)
D_H_H *MatProp(D_H_H_LEVEL7,real) 
C_H_H *MatProp(C_H_H_LEVEL7,real)
*Else
D_H_H *MatProp(D_H_H_NORMAL,real) 
C_H_H *MatProp(C_H_H_NORMAL,real)
*EndIf
*#
*If(MatProp(Activate_Moisture_Advanced,Int)==1)

//Activated_Moisture_Advanced 
D_H_TEMP *MatProp(D_H_TEMP,real) 
D_H_W *MatProp(D_H_W,real) 
D_H_GRAV *MatProp(D_H_GRAV,real)  
C_H_TEMP *MatProp(C_H_TEMP,real) 
C_H_W *MatProp(C_H_W,real)  
C_H_T *MatProp(C_H_T,real)
*#
*If(MatProp(Activate_Moisture_Variable_Values,Int)==1)

//Activated_Moisture_Variable_Values
*If(MatProp(Activate_D_H_H_FNC_TEMP,int)==1)
D_H_H_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+251)
*EndIf
*If(MatProp(Activate_D_H_H_FNC_H,int)==1)
D_H_H_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+252)
*EndIf
*If(MatProp(Activate_D_H_H_FNC_T,int)==1)
D_H_H_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+253)
*EndIf
*#
*If(MatProp(Activate_D_H_TEMP_FNC_TEMP,int)==1)
D_H_TEMP_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+254)
*EndIf
*If(MatProp(Activate_D_H_TEMP_FNC_H,int)==1)
D_H_TEMP_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+255)
*EndIf
*If(MatProp(Activate_D_H_TEMP_FNC_T,int)==1)
D_H_TEMP_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+256)
*EndIf
*#
*If(MatProp(Activate_D_H_W_FNC_TEMP,int)==1)
D_H_W_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+257)
*EndIf
*If(MatProp(Activate_D_H_W_FNC_H,int)==1)
D_H_W_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+258)
*EndIf
*If(MatProp(Activate_D_H_W_FNC_T,int)==1)
D_H_W_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+259)
*EndIf
*#
*If(MatProp(Activate_D_H_GRAV_FNC_TEMP,int)==1)
D_H_GRAV_FNC_TEMP_ID *Operation(matvar*IncrAdvancedFunID+260)
*EndIf
*If(MatProp(Activate_D_H_GRAV_FNC_H,int)==1)
D_H_GRAV_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+261)
*EndIf
*If(MatProp(Activate_D_H_GRAV_FNC_T,int)==1)
D_H_GRAV_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+262)
*EndIf
*#
*#
*If(MatProp(Activate_C_H_H_FNC_TEMP,int)==1)
C_H_H_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+263)
*EndIf
*If(MatProp(Activate_C_H_H_FNC_H,int)==1)
C_H_H_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+264)
*EndIf
*If(MatProp(Activate_C_H_H_FNC_T,int)==1)
C_H_H_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+265)
*EndIf
*#
*If(MatProp(Activate_C_H_TEMP_FNC_TEMP,int)==1)
C_H_TEMP_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+266)
*EndIf
*If(MatProp(Activate_C_H_TEMP_FNC_H,int)==1)
C_H_TEMP_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+267)
*EndIf
*If(MatProp(Activate_C_H_TEMP_FNC_T,int)==1)
C_H_TEMP_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+268)
*EndIf
*#
*If(MatProp(Activate_C_H_W_FNC_TEMP,int)==1)
C_H_W_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+269)
*EndIf
*If(MatProp(Activate_C_H_W_FNC_H,int)==1)
C_H_W_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+270)
*EndIf
*If(MatProp(Activate_C_H_W_FNC_T,int)==1)
C_H_W_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+271)
*EndIf
*#
*If(MatProp(Activate_C_H_T_FNC_TEMP,int)==1)
C_H_T_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+272)
*EndIf
*If(MatProp(Activate_C_H_T_FNC_H,int)==1)
C_H_T_FNC_H_ID *Operation(matvar*IncrAdvancedFunID+273)
*EndIf
*If(MatProp(Activate_C_H_T_FNC_T,int)==1)
C_H_T_FNC_T_ID *Operation(matvar*IncrAdvancedFunID+274)
*EndIf

*EndIf
*EndIf
*EndIf
